<Addin id          = "VBBinding"
       namespace   = "MonoDevelop"
       name        = "VB.NET Language Binding"
       author      = "Levi Bard"
       copyright   = "GPL"
       url         = "http://bard.sytes.net/vbnetbinding"
       description = "VB.NET Language Binding"
	   category    = "Language bindings"
       version     = "1.9.2">

	<Dependencies>
	    <Addin id="Core" version="1.9.2"/>
	    <Addin id="Core.Gui" version="1.9.2"/>
	    <Addin id="Projects" version="1.9.2"/>
		<Addin id="Projects.Gui" version="1.9.2"/>
		<Addin id="Ide" version="1.9.2"/>
	</Dependencies>
	
	<Extension path = "/MonoDevelop/ProjectModel/MSBuildItemTypes">
		<DotNetProject 
			language="VBNet" 
			extension="vbproj" 
			guid="{F184B08F-C81C-45F6-A57F-5ABD9991F28F}" 
			import="$(MSBuildBinPath)\Microsoft.VisualBasic.targets"
			resourceHandler="MonoDevelop.VBNetBinding.VBNetResourceIdBuilder"/>
	</Extension>
	
	<Extension path = "/MonoDevelop/ProjectModel/MD1SerializationMaps">
		<SerializationMap resource="md1format.xml" />
	</Extension>

  	<Extension path = "/MonoDevelop/Ide/FileFilters">
		<FileFilter id = "VBNet"
			insertbefore = "AllFiles"
			_label = "VB.NET Files"
			extensions = "*.vb"/>
	</Extension>

	<Extension path = "/MonoDevelop/Ide/FileTemplates">
		<FileTemplate id = "EmptyVBFile" resource = "EmptyVBFile.xft.xml"/>
		<FileTemplate id = "VBAssemblyInfo" resource = "AssemblyInfo.xft.xml"/>
	</Extension>

	<Extension path = "/MonoDevelop/Ide/ProjectTemplates">
		<ProjectTemplate id = "EmptyVBProject" resource = "EmptyVBProject.xpt.xml"/>
		<ProjectTemplate id = "VBConsoleApplicationProject" resource = "VBConsoleApplicationProject.xpt.xml"/>
		<ProjectTemplate id = "VBGtkSharp2Project" resource = "VBGtkSharp2Project.xpt.xml"/>
	</Extension>
  
	<Extension path = "/MonoDevelop/ProjectModel/Gui/ItemOptionPanels/Common">
		<Condition id="ActiveLanguage" value="VBNet">
			<Section id = "VBNetOutputOptionsPanel"
				_label = "Output Options" 
				class = "MonoDevelop.Projects.Gui.Dialogs.OptionPanels.OutputOptionsPanel"/>
		</Condition>
	</Extension>
	
	<Extension path = "/MonoDevelop/ProjectModel/Gui/ItemOptionPanels/Build/General">
		<Condition id="ActiveLanguage" value="VBNet">
			<Panel id = "VBNetProjectOptionsPanel"
				_label = "General Options" 
				class = "MonoDevelop.VBNetBinding.ProjectOptionsPanel"/>
			<Panel id = "VBNetOutputOptionsPanel"
				_label = "Imports" 
				class = "MonoDevelop.VBNetBinding.ImportOptionsPanel"/>
		</Condition>
	</Extension>

	<Extension path = "/MonoDevelop/ProjectModel/Gui/ItemOptionPanels/Build/Compiler">
		<Condition id="ActiveLanguage" value="VBNet">
			<Panel id = "VBNetConfigurationOptionsPanel"
				_label = "Compiler Options" 
				class = "MonoDevelop.VBNetBinding.ConfigurationOptionsPanel"/>
		</Condition>
	</Extension>

	<Extension path = "/MonoDevelop/ProjectModel/Gui/Icons">
		<Icon language = "VBNet" icon = "res:VB.ProjectIcon"/>
	</Extension>
	
	<Extension path = "/MonoDevelop/Core/StockIcons">
		<StockIcon stockid = "md-vb-file" resource = "VB.FileIcon" />
	</Extension>
	
	<Extension path = "/MonoDevelop/Core/MimeTypes">
		<MimeType id="text/x-vb" _description="Visual Basic source code" icon="md-vb-file" isText="true">
			<File pattern="*.vb" />
		</MimeType>
	</Extension>

	<Extension path = "/MonoDevelop/ProjectModel/LanguageBindings">
		<LanguageBinding id = "VBNet"
			supportedextensions = ".vb"
			class = "MonoDevelop.VBNetBinding.VBLanguageBinding" />
	</Extension>
  
	<Extension path = "/MonoDevelop/ProjectModel/SerializableClasses">
		<DataType class = "MonoDevelop.VBNetBinding.VBCompilerParameters" />
		<DataType class = "MonoDevelop.VBNetBinding.Import" />
	</Extension>
	
	<Extension path = "/MonoDevelop/ProjectModel/DomParser">
		<Class class = "MonoDevelop.VBNetBinding.DomParser" />
	</Extension>
	
</Addin>
